nl.tudelft.simulation.dsol.tutorial.section45

## Class Boat

- java.lang.Object
- - nl.tudelft.simulation.event.EventProducer
  - - nl.tudelft.simulation.dsol.interpreter.process.InterpretableProcess
    - - nl.tudelft.simulation.dsol.formalisms.process.Process<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble>
      - - nl.tudelft.simulation.dsol.tutorial.section45.Boat

All Implemented Interfaces:
  Serializable, nl.tudelft.simulation.dsol.formalisms.ResourceRequestorInterface<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble>, nl.tudelft.simulation.event.EventProducerInterface

    public class Boat
    extends nl.tudelft.simulation.dsol.formalisms.process.Process<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble>

A Boat as presented in Birtwistle, 1979, page 12

copyright (c) 2002-2018 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: Lesser General Public License (LGPL) , no warranty.

Version:
  1.0 Jan 19, 2004
Author:
  Peter Jacobs
See Also:
  Serialized Form

### Field Summary

Fields
`protected Boat` `mySelf` a reference to protect boats from being garbage collection.

### Fields inherited from class nl.tudelft.simulation.dsol.formalisms.process.Process

`logger, simulator`

### Fields inherited from class nl.tudelft.simulation.dsol.interpreter.process.InterpretableProcess

`DEAD, EXECUTING, INITIAL, STATE_CHANGE_EVENT, SUSPENDED`

### Fields inherited from class nl.tudelft.simulation.event.EventProducer

`listeners`

### Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface

`FIRST_POSITION, LAST_POSITION`

### Constructor Summary

Constructors
Constructor and Description
`Boat(nl.tudelft.simulation.dsol.simulators.DEVSSimulator<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble> simulator, Port port)` constructs a new Boat.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `process()`
`String` `toString()`

### Methods inherited from class nl.tudelft.simulation.dsol.formalisms.process.Process

`cancel, hold, receiveRequestedResource, resume, suspend`

### Methods inherited from class nl.tudelft.simulation.dsol.interpreter.process.InterpretableProcess

`cancelProcess, getState, resumeProcess, setState, suspendProcess`

### Methods inherited from class nl.tudelft.simulation.event.EventProducer

`addListener, addListener, addListener, addListener, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, removeAllListeners, removeAllListeners, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mySelf

    protected Boat mySelf

a reference to protect boats from being garbage collection.

### Constructor Detail

#### Boat

    public Boat(nl.tudelft.simulation.dsol.simulators.DEVSSimulator<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble> simulator,
                Port port)

constructs a new Boat.

Parameters:
  `simulator` - the simulator to schedule on
  `port` - the port to sail to

### Method Detail

#### process

    public void process()

Specified by:
  `process` in class `nl.tudelft.simulation.dsol.formalisms.process.Process<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`